import request from '@/utils/request'

// 查询上级媒体、本地发布列表
export function listFb(query) {
  return request({
    url: '/tcZz/networkEcology/fb/list',
    method: 'get',
    params: query
  })
}

// 查询上级媒体、本地发布详细
export function getFb(id) {
  return request({
    url: '/tcZz/networkEcology/fb/' + id,
    method: 'get'
  })
}

// 新增上级媒体、本地发布
export function addFb(data) {
  return request({
    url: '/tcZz/networkEcology/fb',
    method: 'post',
    data: data
  })
}

// 修改上级媒体、本地发布
export function updateFb(data) {
  return request({
    url: '/tcZz/networkEcology/fb',
    method: 'put',
    data: data
  })
}

// 删除上级媒体、本地发布
export function delFb(id) {
  return request({
    url: '/tcZz/networkEcology/fb/' + id,
    method: 'delete'
  })
}
